Redmine - Defect #21037

Issue show : bullet points not aligned if sub-task is in a different project
2015-10-21 10:18 - Jérdbme BATAILLE

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.3.0

Resolution: Fixed Affected version:

Description

The project name is before the hierarchy triangles thus shifting them.
To fix that, the project name can be put in the link which has the css with the triangle image :

only_path = options[:only_path].nil? ? true : options[:only_path]
# fix
text = h(" (#{issue.project}) - ") + text if options|[:project]

# Smile specific options + :hours_by_day
s = link_to(text, issue_path(issue, :only_path => only_path,
thours_by_day => options|[:hours_by_day],
:debug => options|[:debug]
) ’
:class => issue.css_classes, :title => title)
s << h(": #{subject}") if subject
#s = h("#{issue.project} - ") + s if options[:project]

Associated revisions

Revision 15374 - 2016-05-07 08:44 - Jean-Philippe Lang

Issue show : bullet points not aligned if sub-task is in a different project (#21037).

History

#1 - 2015-10-21 10:26 - Jérome BATAILLE

The fix is to be done in application_helper#link_to_issue

Don't mind the Smile specific parts : hours_by_day and debug

#2 - 2015-11-19 05:21 - Toshi MARUYAMA

- Category set to Issues

#3 - 2015-11-19 05:22 - Toshi MARUYAMA

- Status changed from New to Needs feedback

| cannot understand what you said.
Could you give us screen shot and patch?

#4 - 2016-04-06 22:27 - Jérome BATAILLE
- File redmine_subtasks_not_aligned_other_project.png added
- File redmine_subtasks_not_aligned_other_project_fixed.png added

- File redmine_3.2.0_21037.patch added

e without patch :
Evolution #131

Fix the translations problems

Added by |éréme BATAILLE (CDP) 2 months ago. Updated 6

Status: MNouveau

Priority: MNormal

Assignee: [§ Jéréme BATAILLE (CDP)
Target version: S02-503

Story points:

Sprint: B (S02-503) Position: 1

Subtasks

che #134: Analyse logs
che #135: Apply the fix
che #136: Implement social getworks
» Tache #151: Subtask 1
» Tache #152: Subtask 2
» Tache #153: Subtask 3
Tests - Redmine Sub-project - | Evolution #155: Task in sub-project

e with patch :
Tache #134: Analyse logs

Tache #135: Apply the fix
Tache #136: Implement social networks
» Tache #151: Subtask 1
» Tache #152: Subtask 2
» Tache #153: Subtask 3
» (Tests - Redmine Sub-project] - Evolution #155: Task in sub-project

Dalatad iccnac

#5 - 2016-05-05 18:13 - Toshi MARUYAMA
- Status changed from Needs feedback to New

- Target version set to 3.3.0

#6 - 2016-05-07 08:47 - Jean-Philippe Lang
- Category changed from Issues to Ul

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
Fixed in r15374. | didn't integrate the project name in the link as proposed in the patch.

#7 - 2016-05-07 12:48 - Jérome BATAILLE

Thanks a lot for the css fix !

Just a few changes to the CSS.

Files

redmine_subtasks_not_aligned_other_project_fixed.png 17.7 KB 2016-04-06 Jérome BATAILLE

redmine_subtasks_not_aligned_other_project.png 41.2 KB 2016-04-06 Jérome BATAILLE

redmine_3.2.0_21037.patch 757 Bytes 2016-04-06 Jérdme BATAILLE
